# Quoridor

Strategic board game where you can oppose your opponent, friend or AI, with walls.

The orignal game has been [designed by Gigamic](https://www.gigamic.com/jeu/quoridor). You can buy the wood game from a [game vendor](https://www.letempledujeu.fr/zoom20414.html).

## Context

I developed this project with 3 other students during my second year in prepa school in order to take the competitive exam named _TIPE_. The purpose of this project was **designing AI** for the strategic game Quoridor.

Our team :
- Elric
- Quentin
- Baptiste
- Jovian

## How to play

### Run python

_Requirement : you need [python version 3](https://www.python.org/downloads/) to start games_

Every file prependend by `Q_` is an executable that you can run with python.

You can invoke python from a terminal :
```sh
python3 project/Q_HumainVsRandomIA.py
python3 project/Q_HumainVsMinMax1.py
```

Or run the files directly from your prefered IDE (like IDLE, the default IDE packed with python).

### Single player

You can play single mode by launching any file `Q_HumainVs<AI name><tree depth><variant>.py` where _AI name_ is the name of the IA you have to combat, _tree depth_ the number of turns the AI will explore, and _variant_ is a marker meaning that the function used to evaluate the strength of a situation has been tweaked.

For instance : *Q_HumainVsAlphaBeta3+.py* means that you will fight an AI using the **Alpha Beta** algorithm, exploring the game **3** turns in the future, and using a variant **+** of the evaluation function.

### Multiplayer

You can oppose another human being by launching the `Q_HumainVsHumain.py` python script.

